Public Member Functions | List of all members
clan::UserDataOwner Class Reference
clanCore System

Helper class to store any shared_ptr as user data on an object. More...

`#include <userdata.h>`

## Public Member Functions
| UserDataOwner ()
| ~UserDataOwner ()
template<typename T >
std::shared_ptr< T > | get_data ()
template<typename T >
void | set_data (const std::shared_ptr< T > &data)

## Detailed Description

Helper class to store any shared_ptr as user data on an object.

The documentation for this class was generated from the following file:

- userdata.h